Option Explicit

#include ..\lib\framework_domotics.vbs
#include local-parameters.inc

Sub main
Dim astrWebPageTXT
Dim astrWebPageHTML
Dim astrBuffer
Dim astrNbDv
Dim i
Dim j
Dim atabDv
Dim astrDevices
Dim astrDevice
Dim astrConfig
Dim aintNbDevOut
Dim aboolReturn
Dim astrPARAM1
Dim astrPARAM2
Dim astrPARAM3
Dim astrPARAM4

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "Launching " & G_FOLDER_NAME & " script", G_LOG_FILE
If CheckDevices(G_FOLDER_NAME, G_FILE_INI, G_STATUS_EXIST) Then	
	astrDevices 		= hs.GetINISetting("COMMON","DEVICES","", G_FILE_INI)
	astrConfig  		= hs.GetINISetting("COMMON","CONFIG","..\scripts\config\", G_FILE_INI)
	atabDv	 			= Split(astrDevices, G_SEP)
	astrNbDv 			= UBound(atabDv) 
	astrWebPageTXT	= ""
	astrWebPageHTML	= ""
	aintNbDevOut	= 0
		
	astrWebPageHTML = WGetAndCacheWebPage(	hs.GetINISetting("COMMON","URL","",G_FILE_INI), _
											hs.GetINISetting("COMMON","FILE","",G_FILE_INI), _
											True,0 )									
	
	If 	(instr(astrWebPageTXT,"Page inconnue") > 0) 	 Or _
		  (instr(astrWebPageTXT,"ERROR") > 0) 			     Or _ 
		  (instr(astrWebPageHTML,"ERROR") > 0)			     Or _ 
		  (astrWebPageHTML = "")							           Then
			
		WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Error during the download of the following url " &  _
				hs.GetINISetting("COMMON","URL","",G_FILE_INI), G_LOG_FILE	
								
	Else
		i = 0
		While (i <= CInt(astrNbDv))
			astrDevice 			= hs.GetINISetting("DEVICE", "HC", "", astrConfig & atabDv(i)) & _ 
								  hs.GetINISetting("DEVICE", "DC", "", astrConfig & atabDv(i))
			astrPARAM1			= hs.GetINISetting("DEVICE", "PARAM1", "", astrConfig & atabDv(i))	
			astrPARAM2			= hs.GetINISetting("DEVICE", "PARAM2", "", astrConfig & atabDv(i))	
			astrPARAM3			= hs.GetINISetting("DEVICE", "PARAM3", "TXT", astrConfig & atabDv(i))	
			astrPARAM4			= hs.GetINISetting("DEVICE", "PARAM4", "##", astrConfig & atabDv(i))	
			
			If (astrPARAM1 = "") Then
				WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, astrDevice & " has a bad PARAM1 !", G_LOG_FILE	
			Else
				If astrPARAM3 = "HTML" Then
					astrBuffer = formatExpression(astrPARAM1, astrPARAM2, astrPARAM4, astrWebPageHTML)
				End If
				setDevice astrDevice, trim(astrBuffer), "", ""
			End If
			
			If DateDiff("H", hs.DeviceLastChange(astrDevice), now) >= 24 Then
				aintNbDevOut = aintNbDevOut + 1
			End if						
					  
			WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, astrDevice & " done! ", G_LOG_FILE				
			i = i + 1
		Wend						  			  							  
	End If
Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Expected Device is unknown !", G_LOG_FILE
	
End if
WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "End of the script", G_LOG_FILE
End sub

